# % define dist .el6.gp

Name:		mock-ghiapet
Version:	25
Release:	2%{?dist}
Summary:	Mock config files for the GhiaPet Repository

Group:		Development/Tools
License:	BSD
URL:		http://www.ghiapet.net/
Source1:	fedora-18-i386-ghiapet.cfg
Source2:	fedora-18-x86_64-ghiapet.cfg
Source3:	fedora-19-i386-ghiapet.cfg
Source4:	fedora-19-x86_64-ghiapet.cfg
Source5:	fedora-20-i386-ghiapet.cfg
Source6:	fedora-20-x86_64-ghiapet.cfg
Source7:	fedora-21-i386-ghiapet.cfg
Source8:	fedora-21-x86_64-ghiapet.cfg
Source9:	fedora-22-i386-ghiapet.cfg
Source10:	fedora-22-x86_64-ghiapet.cfg
Source11:	fedora-23-i386-ghiapet.cfg
Source12:	fedora-23-x86_64-ghiapet.cfg
Source13:	fedora-24-i386-ghiapet.cfg
Source14:	fedora-24-x86_64-ghiapet.cfg
Source15:	fedora-25-i386-ghiapet.cfg
Source16:	fedora-25-x86_64-ghiapet.cfg

Source21:	epel-5-i386-ghiapet.cfg
Source22:	epel-5-x86_64-ghiapet.cfg
Source23:	epel-6-i386-ghiapet.cfg
Source24:	epel-6-x86_64-ghiapet.cfg
Source26:	epel-7-x86_64-ghiapet.cfg
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
Requires:	mock

%description
Mock config files for the GhiaPet Repository


%prep
%setup -cT
# cp -p %{SOURCE0} ./
cp -p %{SOURCE1} ./
cp -p %{SOURCE2} ./
cp -p %{SOURCE3} ./
cp -p %{SOURCE4} ./
cp -p %{SOURCE5} ./
cp -p %{SOURCE6} ./
cp -p %{SOURCE7} ./
cp -p %{SOURCE8} ./
cp -p %{SOURCE9} ./
cp -p %{SOURCE10} ./
cp -p %{SOURCE11} ./
cp -p %{SOURCE12} ./
cp -p %{SOURCE13} ./
cp -p %{SOURCE14} ./
cp -p %{SOURCE15} ./
cp -p %{SOURCE16} ./

cp -p %{SOURCE21} ./
cp -p %{SOURCE22} ./
cp -p %{SOURCE23} ./
cp -p %{SOURCE24} ./
cp -p %{SOURCE26} ./

%build
#Nothing to build
echo OK

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mock
install -pm 0644 *.cfg $RPM_BUILD_ROOT%{_sysconfdir}/mock


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/mock/*-ghiapet*.cfg


%changelog
* Wed Nov 23 2016 J. Randall Owens <jrowens@ghiapet.net> - 25-2
- fix GPG key path

* Wed Nov 23 2016 J. Randall Owens <jrowens@ghiapet.net> - 25-1
- update for GhiaPet/Fedora 25

* Fri Jun 24 2016 J. Randall Owens <jrowens@ghiapet.net> - 24-1
- update for GhiaPet/Fedora 24

* Sun Nov 22 2015 J. Randall Owens <jrowens@ghiapet.net> - 23-1
- update for GhiaPet/Fedora 23

* Sun May 24 2015 J. Randall Owens <jrowens@ghiapet.net> - 22-1
- update for GhiaPet/Fedora 22

* Thu Jan  8 2015 J. Randall Owens <jrowens@ghiapet.net> - 21-4
- fix metalink URL for F21

* Mon Jan  5 2015 J. Randall Owens <jrowens@ghiapet.net> - 21-3
- temp fix for still-missing RPMFusion repos

* Mon Jan  5 2015 J. Randall Owens <jrowens@ghiapet.net> - 21-2
- clean up and update format
- add EL 7

* Fri Jul 18 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 21-1
- update for GhiaPet/Fedora 21

* Fri Sep 27 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 20-1
- update to GhiaPet/Fedora 20

* Mon Aug 19 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 19-1
- update to GhiaPet/Fedora 19

* Sun Aug 11 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 18-4
- add mock config for GhiaPet/Fedora 19

* Sat Feb  9 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 18-2.fc18.gp
- add mock configurations for CentOS/EL plus GhiaPet

* Fri Feb  1 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 18-1.fc18.gp
- Update for GhiaPet/Fedora 18

* Wed May 30 2012 J. Randall Owens <jrowens@ghiapet.net> - 17-1.fc17.gp
- Update for GhiaPet/Fedora 17

* Thu Dec  1 2011 J. Randall Owens <jrowens@ghiapet.net> - 16-1.fc16.gp
- Update for GhiaPet/Fedora 16

* Wed Jun  8 2011 J. Randall Owens <jrowens@ghiapet.net> - 15.0-1.fc15.gp
- Update for GhiaPet/Fedora 15

* Tue Nov 30 2010 J. Randall Owens <jrowens@ghiapet.net> - 14.0-1
- Update for GhiaPet/Fedora 14

* Tue Jun 15 2010 J. Randall Owens <jrowens@ghiapet.net> - 13.0-2
- create extra local target for using repo mirrors

* Mon Jan 18 2010 J. Randall Owens <jrowens@ghiapet.net> - 12.0-2
- Use individual files instead of tarball for easier maintenance

* Tue Dec 29 2009 J. Randall Owens <jrowens@ghiapet.net> - 11.0-1
- adapt for GhiaPet use

* Wed Sep  2 2009 kwizart < kwizart at gmail.com > - 11.1-1
- Sync epel 4/5 (Moved to koji, removed plague reference)

* Fri Jul 31 2009 kwizart < kwizart at gmail.com > - 11.0-2
- Switch to target i686 on x86 for Rawhide F-12

* Tue May 12 2009 kwizart < kwizart at gmail.com > - 11.0-1
- Branch for F-11

* Wed Mar  4 2009 kwizart < kwizart at gmail.com > - 10.1-1
- Update to 10.1
- Fix Rawhide dist to .f11
- Set Rawhide default target_arch to i586 for x86

* Mon Feb 23 2009 kwizart < kwizart at gmail.com > - 10.0-1
- Bump to 10.0

* Fri Feb 20 2009 kwizart < kwizart at gmail.com > - 0.93-1
- Update to 0.93
- Add need_sign repos (desactivated by default).
- Use the same root as the mother distro.

* Thu Dec 18 2008 kwizart < kwizart at gmail.com > - 0.90-1
- Initial package.

